# Base git commit: 98f7e32f20d2
# (Linux 6.11)
# 
# Author:    Russell King (Wed 28 Sep 09:55:58 BST 2016)
# Committer: Russell King (Oracle) (Thu 10 Oct 18:21:50 BST 2024)
# 
#   ipaq sleeve updates
# 
#   Signed-off-by: Russell King
# 
#   902f6f96dcfeb766ce95121552950506c7935102
#    arch/arm/mach-sa1100/h3xxx-sleeve.c    | 189 +++++++++++++++++++++++++++++----
#    arch/arm/mach-sa1100/ipaq-sleeve-bus.c |  27 ++++-
#    include/linux/ipaq-sleeve.h            |   4 +-
#    3 files changed, 192 insertions(+), 28 deletions(-)
# 
# Author:    Russell King (Tue 27 Sep 19:52:38 BST 2016)
# Committer: Russell King (Oracle) (Thu 10 Oct 18:21:49 BST 2024)
# 
#   update
# 
#   530058a486c92f7b4513aed57e3c6bfe62c88878
#    sound/soc/sa11x0/assabet.c | 28 +++++++++++++++-------------
#    1 file changed, 15 insertions(+), 13 deletions(-)
# 
# Author:    Russell King (Mon 26 Sep 15:13:40 BST 2016)
# Committer: Russell King (Oracle) (Thu 10 Oct 18:21:47 BST 2024)
# 
#   asoc: sa11x0/h3xxx: add audio support
# 
#   Add support for the UDA1341 on the iPAQ H3600 and H3100 devices.
# 
#   Signed-off-by: Russell King
# 
#   815b29e746e9e424e466d81c3f4f56bc442d2cf8
#    sound/soc/sa11x0/Kconfig  |  10 ++
#    sound/soc/sa11x0/Makefile |   3 +
#    sound/soc/sa11x0/h3xxx.c  | 317 ++++++++++++++++++++++++++++++++++++++++++++++
#    3 files changed, 330 insertions(+)
#    create mode 100644 sound/soc/sa11x0/h3xxx.c
# 
# Author:    Russell King (Mon 26 Sep 15:13:04 BST 2016)
# Committer: Russell King (Oracle) (Thu 10 Oct 18:21:46 BST 2024)
# 
#   h3600 audio gpios
# 
#   8348f3990a51c4db3f69bb021633a70d93de8187
#    arch/arm/mach-sa1100/h3600.c | 20 ++++++++++++++++++++
#    1 file changed, 20 insertions(+)
# 
# Author:    Russell King (Mon 26 Sep 18:53:39 BST 2016)
# Committer: Russell King (Oracle) (Thu 10 Oct 18:21:44 BST 2024)
# 
#   clk: add iPAQ audio sysclock driver
# 
#   Add clock driver for iPAQ audio sysclock.
# 
#   Signed-off-by: Russell King
# 
#   935994d6e9b6b46eec83fe7dd154b281b483047f
#    arch/arm/mach-sa1100/h3600.c |  18 ++++++
#    drivers/clk/Makefile         |   1 +
#    drivers/clk/clk-ipaq.c       | 135 +++++++++++++++++++++++++++++++++++++++++++
#    3 files changed, 154 insertions(+)
#    create mode 100644 drivers/clk/clk-ipaq.c
# 
# Author:    Russell King (Thu 15 Sep 16:42:09 BST 2016)
# Committer: Russell King (Oracle) (Thu 10 Oct 18:21:43 BST 2024)
# 
#   net: 3c589_cs: convert to NAPI
# 
#   Convert the 3c589_cs driver to NAPI to ease the interrupt workload.
# 
#   Signed-off-by: Russell King
# 
#   3181cc64fbbe42fbe7c2ef25fdae66d9f992fe86
#    drivers/net/ethernet/3com/3c589_cs.c | 117 ++++++++++++++++++++++++++---------
#    1 file changed, 88 insertions(+), 29 deletions(-)
# 
# Author:    Russell King (Thu 15 Sep 16:41:40 BST 2016)
# Committer: Russell King (Oracle) (Thu 10 Oct 18:21:41 BST 2024)
# 
#   pcmcia: convert sa1100_h3600 to support dual-slot sleeve only
# 
#   cfa11aa0451a0489df322d07122aa06b68867342
#    drivers/pcmcia/Makefile       |   2 +-
#    drivers/pcmcia/l1110.c        | 109 ++++++++++++++++++++++++++++++++++++++++++
#    drivers/pcmcia/l1110.h        |  15 ++++++
#    drivers/pcmcia/sa1100_h3600.c |  93 ++++++++++++-----------------------
#    4 files changed, 156 insertions(+), 63 deletions(-)
#    create mode 100644 drivers/pcmcia/l1110.c
#    create mode 100644 drivers/pcmcia/l1110.h
# 
# Author:    Russell King (Thu 15 Sep 01:38:27 BST 2016)
# Committer: Russell King (Oracle) (Thu 10 Oct 18:21:40 BST 2024)
# 
#   ARM: sa1100/h3xxx: sleeve support
# 
#   Signed-off-by: Russell King
# 
#   eb836906624c23ef94ff627f31011c7e3c191505
#    arch/arm/mach-sa1100/Makefile           |   3 +
#    arch/arm/mach-sa1100/h3600.c            |  14 ++
#    arch/arm/mach-sa1100/h3xxx-sleeve.c     | 341 ++++++++++++++++++++++++++++++++
#    arch/arm/mach-sa1100/h3xxx.c            |   6 +
#    arch/arm/mach-sa1100/ipaq-sleeve-bus.c  | 124 ++++++++++++
#    arch/arm/mach-sa1100/ipaq-sleeve-cf.c   |  70 +++++++
#    arch/arm/mach-sa1100/ipaq-sleeve-dual.c |  68 +++++++
#    drivers/pcmcia/sa1100_h3600.c           |  60 +-----
#    include/linux/ipaq-sleeve.h             |  34 ++++
#    9 files changed, 661 insertions(+), 59 deletions(-)
#    create mode 100644 arch/arm/mach-sa1100/h3xxx-sleeve.c
#    create mode 100644 arch/arm/mach-sa1100/ipaq-sleeve-bus.c
#    create mode 100644 arch/arm/mach-sa1100/ipaq-sleeve-cf.c
#    create mode 100644 arch/arm/mach-sa1100/ipaq-sleeve-dual.c
#    create mode 100644 include/linux/ipaq-sleeve.h
# 
# Author:    Russell King (Sat 24 Sep 23:38:59 BST 2016)
# Committer: Russell King (Oracle) (Thu 10 Oct 18:21:38 BST 2024)
# 
#   module: add iPAQ sleeve device table and module alias support
# 
#   Add support for iPAQ sleeve device table and module alias support, so
#   that sleeve drivers can be automatically modprobed into the kernel at
#   run time.
# 
#   Signed-off-by: Russell King
# 
#   319f1652ef5f76844b247686827db3da79b71045
#    include/linux/mod_devicetable.h   | 10 ++++++++++
#    scripts/mod/devicetable-offsets.c |  4 ++++
#    scripts/mod/file2alias.c          | 11 +++++++++++
#    3 files changed, 25 insertions(+)
# 
# Author:    Russell King (Tue 20 Sep 00:41:32 BST 2016)
# Committer: Russell King (Oracle) (Thu 10 Oct 18:21:37 BST 2024)
# 
#   h3xxx: add socket0
# 
#   1c9a8c647f8283a128f9f1ae0098fb66298cf489
#    arch/arm/mach-sa1100/h3xxx.c | 13 +++++++++++++
#    1 file changed, 13 insertions(+)
# 
# Author:    Russell King (Thu 15 Sep 10:21:31 BST 2016)
# Committer: Russell King (Oracle) (Thu 10 Oct 18:21:35 BST 2024)
# 
#   mfd: ipaq-micro: allow SPI reads to work
# 
#   1f3b0b9bfe0b4c7727788ae1c861883b4a97701f
#    drivers/mfd/ipaq-micro.c | 1 +
#    1 file changed, 1 insertion(+)
# 
# Author:    Russell King (Tue 13 Sep 18:51:55 BST 2016)
# Committer: Russell King (Oracle) (Thu 10 Oct 18:21:34 BST 2024)
# 
#   add sa11x0 uart clocks
# 
#   Signed-off-by: Russell King
# 
#   50dc3be3b0b68bf4a1d3fc78d81e5822cff88a7d
#    arch/arm/mach-sa1100/clock.c |  3 +++
#    drivers/tty/serial/sa1100.c  | 16 +++++++++++++++-
#    2 files changed, 18 insertions(+), 1 deletion(-)
# 
# Author:    Russell King (Tue 13 Sep 16:52:07 BST 2016)
# Committer: Russell King (Oracle) (Thu 10 Oct 18:21:32 BST 2024)
# 
#   ARM: sa1111: use parent clock rate
# 
#   Signed-off-by: Russell King
# 
#   edb0b24b3eaf1cb1e008e21cfb05cd11882fad59
#    arch/arm/common/sa1111.c | 3 ++-
#    1 file changed, 2 insertions(+), 1 deletion(-)
# 
# Author:    Russell King (Tue 13 Sep 14:41:36 BST 2016)
# Committer: Russell King (Oracle) (Thu 10 Oct 18:21:31 BST 2024)
# 
#   ARM: sa1100/assabet: remove PWER initialisation
# 
#   Remove the explicit PWER initialisation: gpio-keys already enables
#   wake-up for its keys, and so this setting is redundant.  In any case,
#   the conversion of the SA1100 GPIOs to gpiolib has made this setting
#   ineffectual.
# 
#   Signed-off-by: Russell King
# 
#   098c167a222e1a1f4004f89c655cd8c13d2dc706
#    arch/arm/mach-sa1100/assabet.c | 1 -
#    1 file changed, 1 deletion(-)
# 
# Author:    Russell King (Tue 13 Sep 13:22:14 BST 2016)
# Committer: Russell King (Oracle) (Thu 10 Oct 18:21:29 BST 2024)
# 
#   ARM: sa1100/h3xxx: convert to xcvr-enable
# 
#   Signed-off-by: Russell King
# 
#   f355920d41e58d3e713517d245f2cf46b6ab9b05
#    arch/arm/mach-sa1100/h3xxx.c | 15 +--------------
#    1 file changed, 1 insertion(+), 14 deletions(-)
# 
# Author:    Russell King (Tue 13 Sep 13:18:18 BST 2016)
# Committer: Russell King (Oracle) (Thu 10 Oct 18:21:28 BST 2024)
# 
#   ARM: sa1100/assabet: convert to xcvr-enable
# 
#   Signed-off-by: Russell King
# 
#   f46ed630a7edf443ee6d1c5abfe9a7cfda128e62
#    arch/arm/mach-sa1100/assabet.c | 18 +-----------------
#    1 file changed, 1 insertion(+), 17 deletions(-)
# 
# Author:    Russell King (Tue 13 Sep 13:02:23 BST 2016)
# Committer: Russell King (Oracle) (Thu 10 Oct 18:21:26 BST 2024)
# 
#   ARM: sa1100: const-ify struct sa1100_port_fns
# 
#   Constify the sa1100_port_fns structures in all boards.
# 
#   Signed-off-by: Russell King
# 
#   6b45a98b80f2dec6ac5c9ae348eaf0e57ce46fbe
#    arch/arm/mach-sa1100/assabet.c | 2 +-
#    arch/arm/mach-sa1100/collie.c  | 2 +-
#    arch/arm/mach-sa1100/h3xxx.c   | 2 +-
#    3 files changed, 3 insertions(+), 3 deletions(-)
# 
# Author:    Russell King (Tue 13 Sep 12:10:29 BST 2016)
# Committer: Russell King (Oracle) (Thu 10 Oct 18:21:25 BST 2024)
# 
#   serial: sa1100: constify struct sa1100_port_fns
# 
#   Signed-off-by: Russell King
# 
#   839f9a9624d0e3a6e605bfacbb9c14baeb9adc1e
#    drivers/tty/serial/sa1100.c                 | 2 +-
#    include/linux/platform_data/sa11x0-serial.h | 4 ++--
#    2 files changed, 3 insertions(+), 3 deletions(-)
# 
# Author:    Russell King (Tue 13 Sep 13:15:31 BST 2016)
# Committer: Russell King (Oracle) (Thu 10 Oct 18:21:23 BST 2024)
# 
#   serial: sa1100: add support for transceiver enable GPIO
# 
#   Add support for a transceiver enable GPIO signal, which allows the
#   external RS232 transceiver on several platforms to be force-enabled
#   or force-disabled according to the system state and the hardware
#   capabilities.
# 
#   Signed-off-by: Russell King
# 
#   180e69613addd481413526eb5fdc7f6939733777
#    drivers/tty/serial/sa1100.c | 27 +++++++++++++++++++++++++++
#    1 file changed, 27 insertions(+)
# 
# Author:    Russell King (Tue 13 Sep 12:09:18 BST 2016)
# Committer: Russell King (Oracle) (Thu 10 Oct 18:21:22 BST 2024)
# 
#   tty: serial: sa1100: fix iPAQ serial port wakeup
# 
#   The iPAQ H3xxx platforms used to wake up on DCD or DSR transitions.
#   However, at some point this got broken and fails to work today.  Fix
#   this by using the newly added modem control gpio layer's wakeup
#   controls.
# 
#   Signed-off-by: Russell King
# 
#   bb63435b09117a77ffcf75f6dae5620df7a3b1d0
#    arch/arm/mach-sa1100/h3xxx.c                | 22 ++-------
#    drivers/tty/serial/sa1100.c                 | 76 +++++++++++++++++++++++++++--
#    include/linux/platform_data/sa11x0-serial.h |  9 +++-
#    3 files changed, 83 insertions(+), 24 deletions(-)
# 
# Author:    Russell King (Sat 24 Sep 13:31:21 BST 2016)
# Committer: Russell King (Oracle) (Thu 10 Oct 18:21:18 BST 2024)
# 
#   tty: serial_mctrl_gpio: add wakeup support for serial control gpios
# 
#   Allow serial control GPIOs to be used as a wakeup source for the system.
# 
#   Signed-off-by: Russell King
# 
#   c197c43807b11e752a8dcb2a55d59855e060b6a5
#    drivers/tty/serial/serial_mctrl_gpio.c | 19 +++++++++++++++++++
#    drivers/tty/serial/serial_mctrl_gpio.h | 22 ++++++++++++++++++++++
#    2 files changed, 41 insertions(+)
# 
# Author:    Russell King (Sun 11 Sep 10:10:30 BST 2016)
# Committer: Russell King (Oracle) (Thu 10 Oct 18:20:15 BST 2024)
# 
#   3c589_cs 16-bit pcmcia fix
# 
#   Signed-off-by: Russell King
# 
#   bda31a2380f72f66a548df64556be76d49109448
#    drivers/net/ethernet/3com/3c589_cs.c | 9 +++++++++
#    1 file changed, 9 insertions(+)
# 
# Author:    Russell King (Thu  8 Sep 17:35:29 BST 2016)
# Committer: Russell King (Oracle) (Thu 10 Oct 18:20:13 BST 2024)
# 
#   ARM: sa1100/assabet: switch to using gpiod APIs for LCD control
# 
#   Switch to using gpiod APIs for controlling the LCD depth and power.
# 
#   Signed-off-by: Russell King
# 
#   0dd71844fa5f17af63ae4d773e6fd580fcc921b3
#    arch/arm/mach-sa1100/assabet.c | 59 ++++++++++++++++++++++++------------------
#    1 file changed, 34 insertions(+), 25 deletions(-)
# 
# Author:    Russell King (Tue 23 Aug 14:50:04 BST 2016)
# Committer: Russell King (Oracle) (Thu 10 Oct 18:20:11 BST 2024)
# 
#   asoc: sa11x0/assabet: use gpiod APIs for some gpios
# 
#   Signed-off-by: Russell King
# 
#   390e958a32408f5c8ffc11a07923d81042722452
#    arch/arm/mach-sa1100/assabet.c | 19 +++++++++
#    arch/arm/mach-sa1100/clock.c   |  2 +
#    sound/soc/sa11x0/assabet.c     | 92 +++++++++++++++++++++++++-----------------
#    3 files changed, 75 insertions(+), 38 deletions(-)
# 
# Author:    Russell King (Tue 27 Sep 00:37:43 BST 2016)
# Committer: Russell King (Oracle) (Thu 10 Oct 18:20:10 BST 2024)
# 
#   asoc: uda134x: add support for UDA134x QMUTE via gpiolib
# 
#   Add support for the UDA134x QMUTE signal via the gpiolib layer.  We
#   assert QMUTE when powering up the device, keeping it muted until we
#   are starting up the playback stream.  The reverse happens when the
#   playback stream is shut down.
# 
#   Signed-off-by: Russell King
# 
#   494e024776d688ea6a38807a4d1ec225b2ddabf0
#    sound/soc/codecs/uda134x.c | 17 ++++++++++++++++-
#    1 file changed, 16 insertions(+), 1 deletion(-)
# 
# Author:    Russell King (Oracle) (Mon 30 Oct 12:52:01 GMT 2023)
# Committer: Russell King (Oracle) (Thu 10 Oct 18:20:08 BST 2024)
# 
#   Revert "ASoC: Delete UDA134x/L3 audio codec"
# 
#   This reverts commit 6dd11b945951315ba4986844f20e83a0c27c1d38.
# 
#   516a31a8d664ed2a0c2984d0146e816c6842108a
#    include/sound/l3.h         |  28 +++
#    include/sound/uda134x.h    |  24 ++
#    sound/soc/codecs/Kconfig   |   8 +
#    sound/soc/codecs/Makefile  |   5 +-
#    sound/soc/codecs/l3.c      | 132 ++++++++++
#    sound/soc/codecs/uda134x.c | 587 +++++++++++++++++++++++++++++++++++++++++++++
#    sound/soc/codecs/uda134x.h |  33 +++
#    7 files changed, 816 insertions(+), 1 deletion(-)
#    create mode 100644 include/sound/l3.h
#    create mode 100644 include/sound/uda134x.h
#    create mode 100644 sound/soc/codecs/l3.c
#    create mode 100644 sound/soc/codecs/uda134x.c
#    create mode 100644 sound/soc/codecs/uda134x.h
# 
# Author:    Russell King (Wed 24 Aug 13:28:09 BST 2016)
# Committer: Russell King (Oracle) (Thu 10 Oct 18:20:07 BST 2024)
# 
#   assabet fix/hack
# 
#   be27ebf589105e6d15a9c0b431cfdad07dd3b1b0
#    arch/arm/mach-sa1100/assabet.c | 7 +++++--
#    1 file changed, 5 insertions(+), 2 deletions(-)
# 
# Author:    Russell King (Sun 21 Aug 00:09:10 BST 2016)
# Committer: Russell King (Oracle) (Thu 10 Oct 18:20:05 BST 2024)
# 
#   assabet hack
# 
#   Signed-off-by: Russell King
# 
#   1792737afe8c236199e3682812dbab4389a989e4
#    arch/arm/mach-sa1100/assabet.c | 20 ++++++++++++++------
#    1 file changed, 14 insertions(+), 6 deletions(-)
# 
# Author:    Russell King (Tue 13 Sep 20:57:22 BST 2016)
# Committer: Russell King (Oracle) (Thu 10 Oct 18:20:04 BST 2024)
# 
#   ARM: sa1100: switch to accurate MPLL calculation
# 
#   Switch SA1100 to the more accurate MPLL calculation.  Table 8-1 in the
#   SA1110 developers manual gives two sets of frequencies for two different
#   crystals - 3.6864MHz and 3.5795MHz.  Calculating the multiplication
#   factor for each entry in the table shows that the clock rates given are
#   are equal to the crystal frequency multiplied by 4(4 + PPCR), rounded to
#   100kHz.  This equation holds for the higher frequencies up to 280.2MHz
#   which have been omitted from the later manuals.
# 
#   Signed-off-by: Russell King
# 
#   5882b7a60f177b283cd58a9c426379901bd6ec2e
#    arch/arm/mach-sa1100/clock.c | 7 ++++---
#    1 file changed, 4 insertions(+), 3 deletions(-)
# 
# Author:    Russell King (Oracle) (Thu 10 Oct 18:19:53 BST 2024)
# Committer: Russell King (Oracle) (Thu 10 Oct 18:19:53 BST 2024)
# 
#   Merge branches 'sa1100-for-next' and 'unstable/sa11x0-asoc' into sa1100
# 
# Author:    Russell King (Thu 11 Jul 10:25:16 BST 2013)
# Committer: Russell King (Oracle) (Thu 10 Oct 18:19:48 BST 2024)
# 
#   ALSA: ASoC: convert sa11x0 assabet driver to use generic ASoC dmaengine backend
# 
#   Signed-off-by: Russell King
# 
#   3332f3bb645dbadcd4f1539012803aee18988044
#    sound/soc/sa11x0/assabet.c | 2 +-
#    1 file changed, 1 insertion(+), 1 deletion(-)
# 
# Author:    Russell King (Thu 11 Jul 10:24:17 BST 2013)
# Committer: Russell King (Oracle) (Thu 10 Oct 18:19:46 BST 2024)
# 
#   ALSA: ASoC: convert sa11x0 ssp driver to generic ASoC dmaengine support
# 
#   Signed-off-by: Russell King
# 
#   ef7c0a43a0b098f1bbcca985d18b3b4bb7470671
#    sound/soc/sa11x0/Kconfig |   2 +-
#    sound/soc/sa11x0/ssp.c   | 106 ++++++++++++++++++++++++++++++++++-------------
#    2 files changed, 79 insertions(+), 29 deletions(-)
# 
# Author:    Russell King (Wed 18 Jan 13:25:02 GMT 2012)
# Committer: Russell King (Oracle) (Thu 10 Oct 18:19:45 BST 2024)
# 
#   ALSA: ASoC: add SA-11x0 Assabet platform support
# 
#   Add the support code for the UDA1341 on the Assabet platform, which
#   uses the DMA engine and SA-11x0 SSP drivers.
# 
#   Signed-off-by: Russell King
# 
#   cd4b48f2177a1bbdd40ba40f140b5d5eab2fc0ec
#    sound/soc/sa11x0/Kconfig   |  10 +
#    sound/soc/sa11x0/Makefile  |   3 +
#    sound/soc/sa11x0/assabet.c | 522 +++++++++++++++++++++++++++++++++++++++++++++
#    3 files changed, 535 insertions(+)
#    create mode 100644 sound/soc/sa11x0/assabet.c
# 
# Author:    Russell King (Wed 18 Jan 13:22:40 GMT 2012)
# Committer: Russell King (Oracle) (Thu 10 Oct 18:19:43 BST 2024)
# 
#   ALSA: ASoC: add SA-11x0 SSP cpu_dai driver
# 
#   Add a SA11x0 SSP SoC audio interface driver, which contains the SoC
#   specifics for handing audio data via the SSP interface.
# 
#   Signed-off-by: Russell King
# 
#   7966b39f130da79939571363e741512d17fb1897
#    sound/soc/Kconfig         |   1 +
#    sound/soc/Makefile        |   1 +
#    sound/soc/sa11x0/Kconfig  |   4 +
#    sound/soc/sa11x0/Makefile |   2 +
#    sound/soc/sa11x0/ssp.c    | 361 ++++++++++++++++++++++++++++++++++++++++++++++
#    sound/soc/sa11x0/ssp.h    |  11 ++
#    6 files changed, 380 insertions(+)
#    create mode 100644 sound/soc/sa11x0/Kconfig
#    create mode 100644 sound/soc/sa11x0/Makefile
#    create mode 100644 sound/soc/sa11x0/ssp.c
#    create mode 100644 sound/soc/sa11x0/ssp.h
# 
# Author:    Russell King (Wed 18 Jan 13:01:26 GMT 2012)
# Committer: Russell King (Oracle) (Thu 10 Oct 18:19:42 BST 2024)
# 
#   ALSA: ASoC: add generic slave and cyclic DMA engine support
# 
#   Add a generic DMA engine platform driver to ASoC.  This allows a range
#   of DMA engines to be used to transfer data to a CPUs audio interface
#   without having to rewrite this code many times.
# 
#   This driver supports both DMA_SLAVE and DMA_CYCLIC channels, preferring
#   DMA_CYCLIC channels over DMA_SLAVE channels.
# 
#   Signed-off-by: Russell King
# 
#   292abf1eb66724e426bd17e6a7cc8147fb1c03e7
#    include/sound/soc-dmaengine.h |  26 ++
#    sound/soc/Kconfig             |   6 +
#    sound/soc/Makefile            |   2 +
#    sound/soc/soc-dmaengine.c     | 591 ++++++++++++++++++++++++++++++++++++++++++
#    4 files changed, 625 insertions(+)
#    create mode 100644 include/sound/soc-dmaengine.h
#    create mode 100644 sound/soc/soc-dmaengine.c
# 
# Author:    Russell King (Thu 11 Jul 10:21:56 BST 2013)
# Committer: Russell King (Oracle) (Thu 10 Oct 18:19:41 BST 2024)
# 
#   ALSA: ASoC: fix generic dmaengine channel requesting
# 
#   The ASoC generic dmaengine support takes a filter data parameter via
#   struct snd_dmaengine_dai_dma_data.  However, rather than passing the
#   filter data to the DMA engine request function, it passed the
#   struct snd_dmaengine_dai_dma_data itself.  Fix this.
# 
#   Signed-off-by: Russell King
# 
#   4dc8d98c200d4465d9d9b5b4799c68f05a0ac3f4
#    sound/soc/soc-generic-dmaengine-pcm.c | 4 ++--
#    1 file changed, 2 insertions(+), 2 deletions(-)
# 
# Author:    Russell King (Fri  2 Sep 10:50:25 BST 2016)
# Committer: Russell King (Oracle) (Sun 30 Jun 15:41:10 BST 2024)
# 
#   ARM: sa1100/assabet: use assabet GPIO definitions
# 
#   Signed-off-by: Russell King
# 
#   30e30506a712ab653382c5e34b9607f41dcbc8b1
#    arch/arm/mach-sa1100/assabet.c | 14 +++++++-------
#    1 file changed, 7 insertions(+), 7 deletions(-)
# 
# Author:    Russell King (Fri  2 Sep 10:45:14 BST 2016)
# Committer: Russell King (Oracle) (Sun 30 Jun 15:41:07 BST 2024)
# 
#   ARM: sa1100/assabet: move GPIO definitions to assabet.c
# 
#   Move GPIO board definitions to assabet.c
# 
#   Signed-off-by: Russell King
# 
#   d886daadadd2b83c911a85bb254fc937c9f2e89d
#    arch/arm/mach-sa1100/assabet.c              | 8 ++++++++
#    arch/arm/mach-sa1100/include/mach/assabet.h | 8 --------
#    2 files changed, 8 insertions(+), 8 deletions(-)
# 
# Author:    Russell King (Wed 31 Aug 11:38:54 BST 2016)
# Committer: Russell King (Oracle) (Sun 30 Jun 15:41:03 BST 2024)
# 
#   ARM: sa1100/assabet: move SCR definitions and machine_has_neponset()
# 
#   Nothing outside of assabet.c needs the board SCR register definitions,
#   nor does it need machine_has_neponset().  Remove these definitions.
# 
#   Signed-off-by: Russell King
# 
#   72eed378a4f031e939a960a6c00fcce477de6996
#    arch/arm/mach-sa1100/assabet.c              | 19 +++++++++++++++++--
#    arch/arm/mach-sa1100/include/mach/assabet.h | 20 --------------------
#    2 files changed, 17 insertions(+), 22 deletions(-)
# 
# Author:    Russell King (Wed 31 Aug 11:40:39 BST 2016)
# Committer: Russell King (Oracle) (Sun 30 Jun 15:41:00 BST 2024)
# 
#   ARM: sa1100/assabet: remove ASSABET_BSR* definitions
# 
#   The assabet BSR register is treated as a GPIO register now, so the
#   register address and bit definitions are redundant.  Remove these
#   definitions.
# 
#   Signed-off-by: Russell King
# 
#   f990f7f38aa1a6bbd66fd4a20f3fdc90acd9de97
#    arch/arm/mach-sa1100/include/mach/assabet.h | 13 -------------
#    1 file changed, 13 deletions(-)
# 
# Author:    Russell King (Wed 31 Aug 11:34:19 BST 2016)
# Committer: Russell King (Oracle) (Sun 30 Jun 15:40:57 BST 2024)
# 
#   ARM: sa1100/assabet: move BCR register address definition
# 
#   Move the Assabet BCR register address definition out of the header file
#   and into the board code, converting it to a iomem pointer rather than a
#   volatile accessor.  Also update the early IO maps to use the appropriate
#   definition.
# 
#   Signed-off-by: Russell King
# 
#   4de88ce940b71d4900f7420b6c306e50f74037df
#    arch/arm/mach-sa1100/assabet.c              | 7 +++++--
#    arch/arm/mach-sa1100/include/mach/assabet.h | 3 ---
#    2 files changed, 5 insertions(+), 5 deletions(-)
# 
# Author:    Russell King (Tue 30 Aug 22:48:32 BST 2016)
# Committer: Russell King (Oracle) (Sun 30 Jun 15:40:53 BST 2024)
# 
#   ARM: sa1100/neponset: convert to devm_kzalloc()
# 
#   Use the device managed devm_kzalloc() to allocate the neponset device
#   private memory rather than manually allocating and freeing the data.
#   This simplifies the cleanup handling a little.
# 
#   Signed-off-by: Russell King
# 
#   3182f04c8cd2e0bf5134f71ec9ff84d838744542
#    arch/arm/mach-sa1100/neponset.c | 15 ++++++---------
#    1 file changed, 6 insertions(+), 9 deletions(-)
# 
# Author:    Russell King (Fri 26 Aug 23:52:42 BST 2016)
# Committer: Russell King (Oracle) (Sun 30 Jun 15:40:50 BST 2024)
# 
#   ARM: sa1100/neponset: convert to irq domain
# 
#   Convert Neponset to use an irq domain rather than statically allocated
#   interrupt numbers, and switch to using the IRQ domain to lookup the
#   Linux interrupt number when decoding an interrupt.  Since interrupts
#   remain disabled across an interrupt handler, we can simplify the
#   handler code somewhat.
# 
#   Signed-off-by: Russell King
# 
#   7fb2c4ba44b2442609dfb30a4ef525d53bfbedb8
#    arch/arm/mach-sa1100/neponset.c | 113 ++++++++++++++++++++++------------------
#    1 file changed, 62 insertions(+), 51 deletions(-)
# 
# Author:    Russell King (Wed 31 Aug 08:49:55 BST 2016)
# Committer: Russell King (Oracle) (Sun 30 Jun 15:40:47 BST 2024)
# 
#   ARM: sa1100/neponset: remove neponset_ncr_* interfaces and header
# 
#   Remove the legacy neponset_ncr_*() interfaces and definitions, which
#   leaves the header empty apart from the header and footer.  Remove the
#   header as well.
# 
#   Signed-off-by: Russell King
# 
#   21253c7f8c91e3810f6ef1f516689ffea8d377fd
#    arch/arm/mach-sa1100/include/mach/neponset.h | 31 ----------------------------
#    arch/arm/mach-sa1100/neponset.c              | 14 +------------
#    2 files changed, 1 insertion(+), 44 deletions(-)
#    delete mode 100644 arch/arm/mach-sa1100/include/mach/neponset.h
# 
# Author:    Russell King (Wed 31 Aug 08:49:53 BST 2016)
# Committer: Russell King (Oracle) (Sun 30 Jun 15:40:43 BST 2024)
# 
#   net: smc91x: remove neponset specific oscillator hack
# 
#   Remove the neponset specific oscillator hack from the smc91x driver,
#   relying instead on the gpio controls provided.
# 
#   Acked-by: Nicolas Pitre
#   Acked-by: David S. Miller
#   Signed-off-by: Russell King
# 
#   54371a31ed026990f9c54a65c1e8c675670608eb
#    drivers/net/ethernet/smsc/smc91x.c | 9 ---------
#    1 file changed, 9 deletions(-)
# 
# Author:    Russell King (Wed 31 Aug 08:49:53 BST 2016)
# Committer: Russell King (Oracle) (Sun 30 Jun 15:40:40 BST 2024)
# 
#   net: smc91x: add external clock support
# 
#   The smc91x can be operated with either a directly attached crystal, or
#   an externally supplied clock.  When used with an externally supplied
#   clock, this clock may require some configuration or control.  Add calls
#   to the driver to lookup, enable and disable this optional clock.
# 
#   Acked-by: Nicolas Pitre
#   Acked-by: David S. Miller
#   Signed-off-by: Russell King
# 
#   5852be7fc5c625ccd9afea8a2a38198af19f4107
#    drivers/net/ethernet/smsc/smc91x.c | 35 +++++++++++++++++++++++++++++++++--
#    drivers/net/ethernet/smsc/smc91x.h |  1 +
#    2 files changed, 34 insertions(+), 2 deletions(-)
# 
# Author:    Russell King (Wed 31 Aug 08:49:53 BST 2016)
# Committer: Russell King (Oracle) (Sun 30 Jun 15:40:36 BST 2024)
# 
#   ARM: sa1100/neponset: add ethernet oscillator
# 
#   Add the clock structure for the external SMC91x ethernet oscillator.
#   This oscillator has an enable signal which allows the oscillator to be
#   placed in low power mode when not required.
# 
#   Signed-off-by: Russell King
# 
#   6b7991b71016575b020f0b8585fefd967d7ecefe
#    arch/arm/mach-sa1100/neponset.c | 43 +++++++++++++++++++++++++++++++++++++++++
#    1 file changed, 43 insertions(+)
# 
# Author:    Russell King (Oracle) (Mon  7 Jun 11:15:52 BST 2021)
# Committer: Russell King (Oracle) (Sun 30 Jun 15:40:34 BST 2024)
# 
#   Revert "clk: gpio: Use DT way of specifying parents"
# 
#   This reverts commit 9a9b5a4af066f1245d7848a5d5d5c8147c18aa28.
# 
#   ad18c74e9a19aa2ee787ffcf748f2730e2cd4504
#    drivers/clk/clk-gpio.c       | 172 ++++++++++++++++++++++++++++---------------
#    include/linux/clk-provider.h |  38 ++++++++++
#    2 files changed, 151 insertions(+), 59 deletions(-)
# 
diff --git a/arch/arm/common/sa1111.c b/arch/arm/common/sa1111.c
index 550978dc3c50..82dafeb05695 100644
--- a/arch/arm/common/sa1111.c
+++ b/arch/arm/common/sa1111.c
@@ -1177,6 +1177,7 @@ static unsigned char opdiv_table[] = { 1, 4, 2, 8 };
 
 static unsigned int __sa1111_pll_clock(struct sa1111 *sachip)
 {
+	unsigned long rate = clk_get_rate(sachip->clk);
 	unsigned int skcdr, fbdiv, ipdiv, opdiv;
 
 	skcdr = readl_relaxed(sachip->base + SA1111_SKCDR);
@@ -1185,7 +1186,7 @@ static unsigned int __sa1111_pll_clock(struct sa1111 *sachip)
 	ipdiv = ((skcdr & 0x0f80) >> 7) + 2;
 	opdiv = opdiv_table[(skcdr & 0x3000) >> 12];
 
-	return 3686400 * fbdiv / (ipdiv * opdiv);
+	return rate * fbdiv / (ipdiv * opdiv);
 }
 
 /**
diff --git a/arch/arm/mach-sa1100/Makefile b/arch/arm/mach-sa1100/Makefile
index b5816d675152..1ece35b1cc2d 100644
--- a/arch/arm/mach-sa1100/Makefile
+++ b/arch/arm/mach-sa1100/Makefile
@@ -11,6 +11,9 @@ obj-$(CONFIG_SA1100_ASSABET)		+= assabet.o
 obj-$(CONFIG_ASSABET_NEPONSET)		+= neponset.o
 obj-$(CONFIG_SA1100_COLLIE)		+= collie.o
 obj-$(CONFIG_SA1100_H3600)		+= h3600.o h3xxx.o
+obj-m					+= h3xxx-sleeve.o ipaq-sleeve-bus.o \
+					   ipaq-sleeve-cf.o ipaq-sleeve-dual.o
+
 obj-$(CONFIG_SA1100_JORNADA720)		+= jornada720.o
 obj-$(CONFIG_SA1100_JORNADA720_SSP)	+= jornada720_ssp.o
 
